#
# Copyright 2001-2005, Broadcom Corporation
# All Rights Reserved.
# 
# THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
# KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
# SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
#
# $Id$
#
#

ROOTDIR=$PWD

# tmp
mkdir -p tmp
ln -sf tmp/var var
(cd $ROOTDIR/usr && ln -sf ../tmp)

ln -sf /tmp/config.bin www/config.bin
(cd $ROOTDIR/usr && ln -sf ../tmp)

ln -sf /usr/sbin/wlconf /usr/sbin/wlconfig

# dev
mkdir -p dev

# etc
mkdir -p etc
echo "/lib" > etc/ld.so.conf
echo "/usr/lib" >> etc/ld.so.conf
/sbin/ldconfig -r $ROOTDIR

# miscellaneous
mkdir -p mnt
mkdir -p proc

# for WR850G and WR850GP 2 in 1 firmware

ln -sf   /tmp/log_in_bg_fail.gif           www/log_in_bg_fail.gif        
ln -sf   /tmp/log_in_bg.gif                www/log_in_bg.gif               
ln -sf   /tmp/main_bottom_center-all.gif   www/main_bottom_center-all.gif 
ln -sf   /tmp/main_left-frame1_logo.gif    www/main_left-frame1_logo.gif   
#ln -sf   /tmp/help.asp    www/help.asp

